Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004246OCamlCamlp4public2007-03-29 19:382010-04-29 14:18
Reporterkerneis 
Assigned Toertai 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10+dev 
Target VersionFixed in Version3.10+dev 
Summary0004246: Quotation, retour à la ligne et location incorrecte
DescriptionDans le cas précis de l'utilisation de la quotation par défaut placée en début de ligne (sans aucun espace avant), la location est incorrecte : le retour à la ligne n'est pas pris en compte.
Additional InformationEn utilisant l'exemple lambda_quot fourni avec ocaml et en le
modifiant :


13:02 gabriel % cat lambda_test_bug.ml
value id = << fun x -> x >> ;
value zero = << fun s -> fun z -> z >> ;
value succ = << fun n -> fun s -> fun z -> s n >> ;
value one =
<< 3 + >> ;

13:03 gabriel % camlp4of ./_build/lambda_quot.cmo lambda_test_bug.ml
File "lambda_test_bug.ml", line 4, characters 16-17:
While expanding quotation "lam":
 Parse error: illegal begin of term


13:02 gabriel % cat lambda_test.ml
value id = << fun x -> x >> ;
value zero = << fun s -> fun z -> z >> ;
value succ = << fun n -> fun s -> fun z -> s n >> ;
value one =
        << 3 + >> ;

13:02 gabriel % camlp4of ./_build/lambda_quot.cmo lambda_test.ml
File "lambda_test.ml", line 5, characters 3-4:
While expanding quotation "lam":
 Parse error: illegal begin of term

En utilisant <:lam< ... >>, même sans espace en début de ligne, la location est correcte également.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003998)
ertai (developer)
2007-03-30 00:15

C'est corrigé dans le CVS.

- Issue History
Date Modified Username Field Change
2007-03-29 19:38 kerneis New Issue
2007-03-30 00:15 ertai Note Added: 0003998
2007-03-30 00:15 ertai Assigned To => ertai
2007-03-30 00:15 ertai Status new => resolved
2007-03-30 00:15 ertai Resolution open => fixed
2007-03-30 00:15 ertai Fixed in Version => 3.10+dev
2010-04-29 14:18 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker